数据提供商: DataForSEO
使用DataForSEO获取某个关键词在Yahoo自然搜索中的高级搜索结果。
默认输入规模下,每次调用 $0.002在 40 秒内响应
查看Yahoo按照特定排序规则,针对某个关键词在某个地点、使用某种语言显示的自然搜索结果页面。Yahoo 自身的页面。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/serp/yahoo/organic/live/advanced on Glasser.bash
glasser run -p dataforseo -e '/v3/serp/yahoo/organic/live/advanced' -i '{"keyword":"albert einstein","language_code":"en","location_code":2840}' --endpoint-version 6使用接口版本 6。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/serp/yahoo/organic/live/advanced","input":{"keyword":"albert einstein","language_code":"en","location_code":2840},"endpoint_version":6}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 6,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究问题时,可以搜索相关来源,并判断哪些结果值得进一步阅读。
复制此提示词到你的 Agent,查找研究问题的资料来源。
提示词
Use dataforseo:/v3/serp/yahoo/organic/live/advanced on Glasser.
Search for sources about my research question and explain which returned results are relevant.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"keyword"
],
"properties": {
"os": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"url": {
"type": "string",
"description": "Direct search URL, parsed into the request by DataForSEO. Paging inside it is billed per page."
},
"depth": {
"type": "integer",
"maximum": 200,
"minimum": 1,
"description": "Results to collect (1-200, default 6). DataForSEO bills each page of up to 5 results."
},
"device": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"target": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"keyword": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"se_domain": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"search_param": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_code": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_name": {
"type": "string"
},
"location_code": {
"type": "integer"
},
"location_name": {
"type": "string"
},
"max_crawl_pages": {
"type": "integer",
"description": "Search result pages to crawl (max 100). DataForSEO bills each page crawled."
},
"location_coordinate": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"stop_crawl_on_match": {
"type": "object",
"description": "Keep crawling result pages until these targets appear. DataForSEO bills each page crawled."
}
},
"additionalProperties": false
}json
{
"keyword": "albert einstein",
"language_code": "en",
"location_code": 2840
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 默认输入规模 | 更大的输入和付费选项会随数据提供商的用量而改变费用。 有无匹配数据均按此价格收费。 | $0.002 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $1.00 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |